## Class Swift_Plugins_ReporterPlugin

(line 21)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Plugins/ReporterPlugin.php

##### Does real time reporting of pass/fail for each recipient.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Plugins_ReporterPlugin __construct (Swift_Plugins_Reporter $reporter)
void beforeSendPerformed (Swift_Events_SendEvent $evt)
void sendPerformed (Swift_Events_SendEvent $evt)

#### Constructor __construct (line 36)

#### Swift_Plugins_ReporterPlugin __construct( Swift_Plugins_Reporter $reporter)

##### Create a new ReporterPlugin using $reporter.

#### Parameters

- Swift_Plugins_Reporter $reporter:

#### Info

- access - public

#### Method beforeSendPerformed (line 44)

#### void beforeSendPerformed( Swift_Events_SendEvent $evt)

Implementation of:

Swift_Events_SendListener::beforeSendPerformed()
  Invoked immediately before the Message is sent.

##### Not used.

#### Parameters

- Swift_Events_SendEvent $evt:

#### Info

- access - public

#### Method sendPerformed (line 52)

#### void sendPerformed( Swift_Events_SendEvent $evt)

Implementation of:

Swift_Events_SendListener::sendPerformed()
  Invoked immediately after the Message is sent.

##### Invoked immediately after the Message is sent.

#### Parameters

- Swift_Events_SendEvent $evt:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:28 +0000 by phpDocumentor 1.4.3